Generation Framework

## org.eclipse.gmf.tooldef
Interface ContributionItem

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ItemBase, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  MenuAction, PopupMenu

All Known Implementing Classes:
  MenuActionImpl, PopupMenuImpl

    public interface ContributionItem

extends ItemBase

A representation of the model object 'Contribution Item'.

The following features are supported:

- `Icon`
- `Title`

See Also:
  `GMFToolPackage.getContributionItem()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`Image` `getIcon()` Returns the value of the 'Icon' containment reference
`java.lang.String` `getTitle()` Returns the value of the 'Title' attribute
`void` `setIcon(Image value)` Sets the value of the '`Icon`' containment reference
`void` `setTitle(java.lang.String value)` Sets the value of the '`Title`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIcon

    Image getIcon()

  Returns the value of the 'Icon' containment reference.

  If the meaning of the 'Icon' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference.
  See Also:
    `setIcon(Image)`, `GMFToolPackage.getContributionItem_Icon()`
  ** Generated **
  Model:
    containment="true"

### setIcon

    void setIcon(Image value)

  Sets the value of the '`Icon`' containment reference.

  Parameters:
    `value` - the new value of the 'Icon' containment reference.
  See Also:
    `getIcon()`
  ** Generated **

### getTitle

    java.lang.String getTitle()

  Returns the value of the 'Title' attribute.

  If the meaning of the 'Title' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Title' attribute.
  See Also:
    `setTitle(String)`, `GMFToolPackage.getContributionItem_Title()`
  ** Generated **
  Model:

### setTitle

    void setTitle(java.lang.String value)

  Sets the value of the '`Title`' attribute.

  Parameters:
    `value` - the new value of the 'Title' attribute.
  See Also:
    `getTitle()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.